#!/bin/bash
if [[ ! -z $1 ]]; then
  sudo apt install -y opendkim-tools openssl
  rm -f ./secure/*
  openssl req -newkey rsa:2048 -nodes -keyout ./secure/privkey.pem -x509 -days 365 -subj "/CN=$1" -out ./secure/fullchain.pem
  opendkim-genkey -b 2048 -h rsa-sha256 -r -s dkim -d "$1" --directory ./secure
else
  echo -e "- Necesita indicar un dominio\nEjemplo: ./start.sh domain.com"
fi
