# Haraka-Wildduck Docker Mail Server

## Instalar
- Ejecutar: `./start.sh` &lt;dominio&gt; - Configura los certificados en la carpeta ./secure
- Editar `.env` con el valor del dominio

## Arrancar
- Instalar `docker` y `docker-compose`
- Ejecutar: docker-compose up -d
- Abrir el navegador http://webmail:3000

## Persistencia
- Ejecutar: docker cp mongo:/data/db ./mongodb && chown -R 999.999 ./mongodb
- Ejecutar: docker cp redis:/data ./redis && chown -R 999.999 ./redis
- Descomentar las lineas del archivo `docker-compose.yml`
- Ejecutar: docker-compose down && docker-compose up -d

### Licencia

- MIT
